[TASK] Require symfony components with 5.3.0 or higher
[Packages/TYPO3.CMS.git] / typo3 / sysext / install / composer.json
1 {
2 "name": "typo3/cms-install",
3 "type": "typo3-cms-framework",
4 "description": "The Install Tool mounted as the module Tools>Install in TYPO3.",
5 "homepage": "https://typo3.org",
6 "license": ["GPL-2.0-or-later"],
7 "authors": [{
8 "name": "TYPO3 Core Team",
9 "email": "typo3cms@typo3.org",
10 "role": "Developer"
11 }],
12 "support": {
13 "chat": "https://typo3.org/help",
14 "docs": "https://docs.typo3.org",
15 "issues": "https://forge.typo3.org",
16 "source": "https://github.com/TYPO3/TYPO3.CMS"
17 },
18 "config": {
19 "sort-packages": true
20 },
21 "require": {
22 "doctrine/dbal": "^2.12",
23 "nikic/php-parser": "^4.10.4",
24 "symfony/finder": "^5.3.0",
25 "typo3/cms-core": "11.3.*@dev",
26 "typo3/cms-extbase": "11.3.*@dev",
27 "typo3/cms-fluid": "11.3.*@dev"
28 },
29 "conflict": {
30 "typo3/cms": "*"
31 },
32 "extra": {
33 "branch-alias": {
34 "dev-master": "11.3.x-dev"
35 },
36 "typo3/cms": {
37 "Package": {
38 "serviceProvider": "TYPO3\\CMS\\Install\\ServiceProvider",
39 "protected": true,
40 "partOfFactoryDefault": true,
41 "partOfMinimalUsableSystem": true
42 },
43 "extension-key": "install"
44 }
45 },
46 "autoload": {
47 "psr-4": {
48 "TYPO3\\CMS\\Install\\": "Classes/"
49 }
50 },
51 "autoload-dev": {
52 "psr-4": {
53 "TYPO3\\CMS\\Install\\Tests\\": "Tests/"
54 }
55 }
56 }